Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 195012 - system-config-printer is not fully localized although translation is 100% (all_lang)
Summary: system-config-printer is not fully localized although translation is 100% (al...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-14 13:29 UTC by Ankit Patel
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-22 09:58:42 UTC


Attachments (Terms of Use)

Description Ankit Patel 2006-06-14 13:29:44 UTC
Description of problem:
Very few messages are displayed in native language even if the application is
fully translated for that particular language.

Version-Release number of selected component (if applicable):
0.7.11-3

How reproducible:
Everytime

Steps to Reproduce:
1. Run "system-config-printer" in your native language
2. Check for the messages
3.

Actual results:
Messages are showing in English

Expected results:
Messages should be displayed in native language

Additional info:

Comment 1 Tim Waugh 2006-06-20 10:32:11 UTC
Current CVS should now have the 'po' bits, ready for translation.  Does it look
okay?

Comment 2 Ankit Patel 2006-06-21 05:32:22 UTC
Please see the below output :

[ankit@ankit cvs]$ cd translate/printconf/
[ankit@ankit printconf]$ ls
ar.po     da.po     fr.po  is.po  Makefile  nn.po          ru.po       ta.po
bg.po     de.po     gu.po  it.po  mk.po     no.po          si.po       te.po
bn_IN.po  el.po     he.po  ja.po  ml.po     or.po          sk.po       tr.po
bn.po     en_GB.po  hi.po  ka.po  mr.po     pa.po          sl.po       uk.po
ca.po     es.po     hr.po  kn.po  ms.po     pl.po          sq.po       ur.po
cs.po     et.po     hu.po  ko.po  my.po     printconf.pot  sr@Latn.po  vi.po
CVS       fa.po     hy.po  ku.po  nb.po     pt_BR.po       sr.po       zh_CN.po
cy.po     fi.po     id.po  lo.po  nl.po     pt.po          sv.po       zh_TW.po
[ankit@ankit printconf]$ msgfmt -cvo /dev/null gu.po
413 translated messages.
[ankit@ankit printconf]$ msgfmt -vo /dev/null printconf.pot
0 translated messages, 413 untranslated messages.
[ankit@ankit printconf]$


Comment 3 Tim Waugh 2006-06-21 09:48:34 UTC
Oh, there should be a system-config-printer module but it hasn't turned up.  Let
me fix that.

Comment 4 Ankit Patel 2006-06-21 09:55:17 UTC
Oh, i thought system-config-printer and printconf both are same modules or alias
of each other. Thanks for looking into this.

Comment 5 Tim Waugh 2006-06-21 18:21:48 UTC
Okay, should be ready to go now I think?

Comment 6 Tim Waugh 2006-06-22 09:58:42 UTC
Saw a translation committed today, so I think this must be working now.  Thanks
for reporting it.

Comment 7 Ankit Patel 2006-06-22 10:58:38 UTC
Thanks Tim!


Note You need to log in before you can comment on or make changes to this bug.